# Подключение внешних проектов
include(ExternalProject)

# cmake-format: off
list(APPEND _ext_project_args
  veer-protocols
  SOURCE_DIR  ${CMAKE_SOURCE_DIR}/thirdparty/veer-protocols
  INSTALL_DIR ${CMAKE_BINARY_DIR}
  CMAKE_ARGS  ${MYX_CMAKE_EXTERNAL_PROJECT_ARGS}
              <SOURCE_DIR>)
if(VeerProtocolsThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND     true
    INSTALL_COMMAND   ${CMAKE_MAKE_PROGRAM} veer-protocols-install-headers)
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(VEER_PROTOCOLS_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on

set(VEER_PROTOCOLS_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(VEER_PROTOCOLS_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(VEER_PROTOCOLS_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
